Subject: Re: linux-next: Tree for May 27 (ocfs2)

From: Randy Dunlap <[email-masked]>
Date: Fri, 27 May 2011 11:21:09 -0700

On Fri, 27 May 2011 09:30:43 -0700 Randy Dunlap wrote:

> On Fri, 27 May 2011 15:52:31 +1000 Stephen Rothwell wrote:
> 
> > Hi all,
> > 
> > Changes since 20110526:
> 
> ocfs2 on i386 has build errors:
> 
> ERROR: "__udivdi3" [fs/ocfs2/ocfs2.ko] undefined!
> ERROR: "__umoddi3" [fs/ocfs2/ocfs2.ko] undefined!
> 
> or when builtin:
> 
> fs/built-in.o: In function `ocfs2_find_victim_alloc_group.clone.0':
> move_extents.c:(.text+0x1fb01a): undefined reference to `__udivdi3'
> fs/built-in.o: In function `ocfs2_validate_and_adjust_move_goal':
> move_extents.c:(.text+0x1fb12e): undefined reference to `__umoddi3'
> move_extents.c:(.text+0x1fb15a): undefined reference to `__udivdi3'
> fs/built-in.o: In function `ocfs2_find_victim_alloc_group.clone.0':
> move_extents.c:(.text+0x1fb01a): undefined reference to `__udivdi3'
> fs/built-in.o: In function `ocfs2_validate_and_adjust_move_goal':
> move_extents.c:(.text+0x1fb12e): undefined reference to `__umoddi3'
> move_extents.c:(.text+0x1fb15a): undefined reference to `__udivdi3'
> fs/built-in.o: In function `ocfs2_find_victim_alloc_group.clone.0':
> move_extents.c:(.text+0x1fb01a): undefined reference to `__udivdi3'
> fs/built-in.o: In function `ocfs2_validate_and_adjust_move_goal':
> move_extents.c:(.text+0x1fb12e): undefined reference to `__umoddi3'
> move_extents.c:(.text+0x1fb15a): undefined reference to `__udivdi3'

Fixed by just-merged mainline commit:

Gitweb:     http://git.kernel.org/linus/6aea6f5068cb86e89a6ac243c3fc131045b6563a
Commit:     6aea6f5068cb86e89a6ac243c3fc131045b6563a
Parent:     dda54e76d7dba0532ebdd72e0b4f492a03f83225
Author:     Tristan Ye <[email-masked]>
AuthorDate: Fri May 27 15:19:56 2011 +0800
Committer:  Tristan Ye <[email-masked]>
CommitDate: Fri May 27 14:52:53 2011 +0800

    Ocfs2/move_extents: Avoid doing division in extent moving.

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***